import request from '@/utils/request'

// 线索状态API
export function getLeadStatusList() {
  return request({
    url: '/bizLead/status/list',
    method: 'get'
  })
}

export function getLeadStatusDetail(id) {
  return request({
    url: `/bizLead/status/${id}`,
    method: 'get'
  })
}

export function addLeadStatus(data) {
  return request({
    url: '/bizLead/status',
    method: 'post',
    data
  })
}

export function updateLeadStatus(data) {
  return request({
    url: '/bizLead/status',
    method: 'put',
    data
  })
}

export function deleteLeadStatus(id, userId) {
  return request({
    url: `/bizLead/status/${id}`,
    method: 'delete',
    params: { userId }
  })
}

export function checkLeadStatusName(statusName) {
  return request({
    url: '/bizLead/status/checkName',
    method: 'get',
    params: { statusName }
  })
}

// 线索管理API
export function getLeadList(params) {
  return request({
    url: '/bizLead/list',
    method: 'get',
    params
  })
}

export function getMyLeadList(params) {
  return request({
    url: '/bizLead/myLeads',
    method: 'get',
    params
  })
}

export function getAllLeadList(params) {
  return request({
    url: '/bizLead/allLeads',
    method: 'get',
    params
  })
}

export function getPublicLeadList(params) {
  return request({
    url: '/bizLead/publicLeads',
    method: 'get',
    params
  })
}

export function getLeadDetail(id) {
  return request({
    url: `/bizLead/${id}`,
    method: 'get'
  })
}

export function addLead(data) {
  return request({
    url: '/bizLead',
    method: 'post',
    data
  })
}

export function updateLead(data) {
  return request({
    url: '/bizLead',
    method: 'put',
    data
  })
}

export function changeLeadStatus(id, statusId, userId) {
  return request({
    url: `/bizLead/${id}/status`,
    method: 'put',
    params: { statusId, userId }
  })
}

export function changeLeadPersonnel(id, personnelId, userId) {
  return request({
    url: `/bizLead/${id}/personnel`,
    method: 'put',
    params: { personnelId, userId }
  })
}

export function checkLeadPhone(phone) {
  return request({
    url: '/bizLead/checkPhone',
    method: 'get',
    params: { phone }
  })
}

export function convertLeadToIntention(id, userId) {
  return request({
    url: `/bizLead/${id}/convert`,
    method: 'post',
    params: { userId }
  })
}

export function deleteLead(id, userId) {
  return request({
    url: `/bizLead/${id}`,
    method: 'delete',
    params: { userId }
  })
}

export function getLeadFollowHistory(leadId) {
  return request({
    url: `/bizLead/${leadId}/followHistory`,
    method: 'get'
  })
} 