import request from '@/utils/request'

/**
 * 导入库存
 * @param {Object} data 文件数据
 * @returns {Object} 请求结果
 */
export function importInventory(data) {
  return request({
    url: '/inventory/import',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}

/**
 * 下载库存导入模板
 * @returns {Object} 请求结果
 */
export function downloadInventoryTemplate() {
  return request({
    url: '/inventory/template/download',
    method: 'get',
    responseType: 'blob'
  })
} 