import request from '@/utils/request'

// 获取项目列表
export function getProjectList(query) {
  return request({
    url: '/room/project/list',
    method: 'get',
    params: query
  })
}

// 获取项目详情
export function getProjectDetail(id) {
  return request({
    url: `/room/project/${id}`,
    method: 'get'
  })
}

// 新增项目
export function addProject(data) {
  return request({
    url: '/room/project/add',
    method: 'post',
    data: data
  })
}

// 修改项目
export function updateProject(id, data) {
  const updateData = { ...data, id }
  return request({
    url: '/room/project/edit',
    method: 'post',
    data: updateData
  })
}

// 删除项目
export function deleteProject(id) {
  return request({
    url: `/room/project/remove/${id}`,
    method: 'post'
  })
}

// 获取项目统计数据
export function getProjectStatistics(id) {
  return request({
    url: `/room/project/${id}/statistics`,
    method: 'get'
  })
}

// 获取所有项目统计数据（整体概况）
export function getAllProjectStatistics() {
  return request({
    url: '/room/project/statistics',
    method: 'get'
  })
} 

// 获取标签列表
export function getTagByType(data) {
  return request({
    url: '/admin/tag/getTagsByType',
    method: 'post',
    data: data
  })
}