import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import './assets/styles/index.scss'

Vue.use(ElementUI)
Vue.config.productionTip = false

// 添加下载方法
Vue.prototype.download = function(res, fileName) {
  // 创建blob链接
  const blob = new Blob([res.data])
  const link = document.createElement('a')
  link.href = URL.createObjectURL(blob)
  link.download = fileName
  link.click()
  URL.revokeObjectURL(link.href)
}

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app') 