import Layout from '@/layout/index'

export default {
  path: '/finance',
  component: Layout,
  name: 'Finance',
  meta: { title: '业务财务', icon: 'el-icon-money' },
  redirect: '/finance/feeType',
  children: [
    {
      path: 'feeType',
      component: () => import('@/views/finance/feeType/index.vue'),
      name: 'FeeType',
      meta: { title: '费用类型', icon: 'el-icon-tickets' }
    },
    {
      path: 'receiptSetting',
      component: () => import('@/views/finance/receiptSetting/index.vue'),
      name: 'ReceiptSetting',
      meta: { title: '收据设置', icon: 'el-icon-document' }
    },
    {
      path: 'chargeStandard',
      component: () => import('@/views/finance/chargeStandard/index.vue'),
      name: 'ChargeStandard',
      meta: { title: '收费标准', icon: 'el-icon-price-tag' }
    },
    {
      path: 'billList',
      component: () => import('@/views/finance/billList/index.vue'),
      name: 'BillList',
      meta: { title: '所有账单', icon: 'el-icon-notebook-2' }
    },
    {
      path: 'transaction',
      component: () => import('@/views/finance/transaction/index.vue'),
      name: 'Transaction',
      meta: { title: '收支流水', icon: 'el-icon-money' }
    }
  ]
} 