export default {
  path: '/merchant',
  component: () => import('@/layout/index'),
  redirect: '/merchant/merchant-personnel',
  name: 'Merchant',
  meta: { title: '招商管理', icon: 'el-icon-user-solid' },
  children: [
    {
      path: 'merchant-personnel',
      component: () => import('@/views/merchant/merchant-personnel/index.vue'),
      name: 'MerchantPersonnel',
      meta: { title: '招商人员', icon: 'el-icon-user' }
    },
    {
      path: 'tag-management',
      component: () => import('@/views/merchant/tag-management/index.vue'),
      name: 'TagManagement',
      meta: { title: '标签管理', icon: 'el-icon-collection-tag' }
    },
    {
      path: 'clue-management',
      component: () => import('@/views/merchant/clue-management/index.vue'),
      name: 'ClueManagement',
      meta: { title: '线索管理', icon: 'el-icon-chat-line-square' }
    },
    {
      path: 'intent-customer',
      component: () => import('@/views/merchant/intent-customer/index.vue'),
      name: 'IntentCustomer',
      meta: { title: '意向客户', icon: 'el-icon-s-custom' }
    }
  ]
} 